package com.brilliance.mda.runtime.mda;

import com.brilliance.mda.support.jakson.serialize.IStreamDeSerialized;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

import java.io.InputStream;
import java.io.OutputStream;
import java.io.Serializable;

@JsonDeserialize(using = IStreamDeSerialized.class)
public interface IStream extends IDataGrid,Serializable {
    InputStream getInputStream();
    OutputStream getOutputStream();
    void close();
    boolean isEmpty();
    void setType(String type);
    String getType();
    void setName(String name);
    String getName();
    String setValue(String value);
    String getValue();
    boolean isKeepsort();
    void setKeepsort(boolean keepsort);
}
